Subject: Re: [PATCH 1/3] Make read_index_data() public

From: Lukas Fleischer <[email-masked]>
Date: Sat, 13 Apr 2013 10:23:17 +0200

On Fri, Apr 12, 2013 at 03:40:12PM -0400, Jeff King wrote:
> On Fri, Apr 12, 2013 at 07:26:11PM +0200, Lukas Fleischer wrote:
> 
> > This allows for reusing the function in convert.c later.
> > 
> > Also, move it from attr.c to read-cache.c and add a use_index parameter
> > to specify a custom index_state since we are no longer enable to access
> > the static use_index variable from attr.c.
> 
> I'm all for removing duplicated code, but, but I think the name
> "read_index_data" is a bit misleading for a global function. I would
> expect it to read data from the index (and the argument "path" does not
> help clarify that at all).
> 
> Can we rename it read_blob_data_from_index_path() or something?

Pretty long function name... I agree that it is better to have a verbose
function name instead of something short that gives a wrong impression
of what the function does and I can't think of a shorter, yet
descriptive way to name the function.

If nobody comes up with an alternative suggestion, I will change it to
read_blob_data_from_index_path() and resubmit.

> -Peff